Subject: Re: draft-ietf-mpls-rsvp-lsp-tunnel-08.txt

From: "manoj juneja" <[email-masked]>
Date: Fri, 10 Aug 2001 10:24:27 -0700

Hi David,
           If S1, S2 can be reachable through incoming interface I1 and 
require bandwidth 1M and 2M respectively. The senders S3, S4 falling under 
the same session (as of S1 and S2) require bandwidth 5M and 10M respectively 
but reachable through different incoming interface I2. Do I still need to 
reserve 10M on both the incoming interfaces (i.e. I1 and I2) ? Even though 
we are aware that only 2M (larger of S1, S2) will be utilized on I1. Why is 
it defined like this in the protocol ?

Regards,
manoj.

Feng, Mark" wrote:
>
>With what we discussed below, what would happen is that, if S1, S3
>only need 1M of bandwidth, and S2, S4 need 10M, on the path where
>S1, S3 take, even if they only need 1M, they will get a request of
>10M and as a result, get a reservation of 10M. This seems to be
>wasteful on that particular path.
>
>...
>                     ______
>                    |      |
>                +---|      |---+
>                |   |______|   |
>                |              |
>                |s1,s3         |s1,s3
>  s1,s2 ______  |              |  ______
>  -----|      |-+              +-|      | s1,s2,s3,s4
>  -----|      |-+              +-|      |------
>  s3,s4|______| |              | |______|
>                |s2,s4_____    |s2,s4
>                |   |      |   |
>                +---|      |---+
>                    |______|

It doesn't matter how much each one "requires".  If they are all in the
same session and the egress router chooses to use SE-style for the
reservation, then all will get the same bandwidth - 1M, 10M, or anything
else.  (But probably 10M, since that's the smallest size that will
satisfy everybody's request.)

If this is unacceptible, then the ingress router shouldn't put these
four LSPs all in the same session together.

-- David

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

---

From: David Charlap <[email-masked]>
Date: Fri, 10 Aug 2001 13:35:34 -0400

manoj juneja wrote:
> 
> If S1, S2 can be reachable through incoming interface I1 and require
> bandwidth 1M and 2M respectively. The senders S3, S4 falling under
> the same session (as of S1 and S2) require bandwidth 5M and 10M
> respectively but reachable through different incoming interface I2.
> Do I still need to reserve 10M on both the incoming interfaces (i.e.
> I1 and I2) ? Even though we are aware that only 2M (larger of S1,
> S2) will be utilized on I1. Why is it defined like this in the
> protocol ?

Because it's a single _SHARED_ reservation.  It's not four separate
reservations that happen to share resources where convenient.

When the egress router sends an SE-style Resv message, there is exactly
_ONE_ flowspec object transmitted, which covers _ALL_ of the filterspecs
in the flow descriptor.

What I don't understand is why you think you should put LSPs with
different incompatible resource requirements in the same session
together.

-- David